<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getActionAutolevel](./bitburner.bladeburner.getactionautolevel.md)

## Bladeburner.getActionAutolevel() method

Get wether an action is set to autolevel.

<b>Signature:</b>

```typescript
getActionAutolevel(type: string, name: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  type | string | Type of action. |
|  name | string | Name of action. Must be an exact match. |

<b>Returns:</b>

boolean

True if the action is set to autolevel, and false otherwise.

## Remarks

RAM cost: 4 GB

Return a boolean indicating whether or not this action is currently set to autolevel.

Returns false if an invalid action is specified.

